Support A2Billing :

provided by Star2Billing S.L.

Support A2Billing :
It is currently Tue Oct 16, 2018 5:53 am
Hosted Voice Broadcast


All times are UTC




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: CallBack Daemon installation in Asterisk 1.8.3&a2Billing 1.9
PostPosted: Fri Mar 18, 2011 5:01 pm 
Offline

Joined: Sun Nov 07, 2010 10:00 pm
Posts: 253
Hello all,I'm just setting up a new server under Ubuntu Lucid, Asterisk 1.8.3, and a2billing 1.9.3.

It's apear that this version didn't solved the CallBack daemon installation error in previous versions.

Where I'm not sure if the previous solutions proposed here: viewtopic.php?f=33&t=7711&p=31137#p31137 or here: viewtopic.php?f=21&t=5988&hilit=callback give me any solution...

I mean, in /usr/local/src/a2billing/CallBack/callback-daemon-py/dist/callback_daemon-1.0.prod-r1528/dist, just after issuing easy_install callback_daemon-1.0.prod_r1527-py2.5.egg, I still getting the following:

Quote:
removing '/usr/local/lib/python2.6/dist-packages/callback_daemon-1.0.prod_r1527-py2.5.egg' (and everything under it)
creating /usr/local/lib/python2.6/dist-packages/callback_daemon-1.0.prod_r1527-py2.5.egg
Extracting callback_daemon-1.0.prod_r1527-py2.5.egg to /usr/local/lib/python2.6/dist-packages
callback-daemon 1.0.prod-r1527 is already the active version in easy-install.pth
Installing a2b_callback_daemon script to /usr/local/bin

Installed /usr/local/lib/python2.6/dist-packages/callback_daemon-1.0.prod_r1527-py2.5.egg
Processing dependencies for callback-daemon==1.0.prod-r1527
Searching for callback-daemon==1.0.prod-r1527
Reading http://pypi.python.org/simple/callback-daemon/
Couldn't find index page for 'callback-daemon' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
No local packages or download links found for callback-daemon==1.0.prod-r1527
error: Could not find suitable distribution for Requirement.parse('callback-daemon==1.0.prod-r1527')


I'm not sure about which version of python require the a2billing 1.9, because the python I just install it, upto date, in fresh server...

Any ideas to understand what that's mean in the earth?

Please help..
Thanks in advance,


Top
 Profile  
 
 Post subject: Re: CallBack Daemon installation in Asterisk 1.8.3&a2Billing 1.9
PostPosted: Fri Mar 18, 2011 5:12 pm 
Offline

Joined: Sun Nov 07, 2010 10:00 pm
Posts: 253
Hello again,

I just post, and sorry, i solve it myself, not with so nice way as expected, but it's work, thanks to viewtopic.php?f=7&t=7494, which worked in previous a2b 1.8, so the solution worked and tested working in Ubuntu lucid, and Debian Leny, as the following:

Install Init Script :
nano a2b-callback-daemon.debian
change DAEMON=/usrl/bin/a2b_callback_daemon
to DAEMON=/usr/local/bin/a2b_callback_daemon

cp a2b-callback-daemon.debian /etc/init.d/a2b-callback-daemon
chmod +x /etc/init.d/a2b-callback-daemon

update-rc.d a2b-callback-daemon defaults 40 60
* to remove update-rc.d -f a2b-callback-daemon remove

Start Daemon :
/etc/init.d/a2b-callback-daemon start


But I still asking about real fixing for this issue...

Regards,

Sam


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 
Predictive Dialer


All times are UTC


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group